devel/libvterm01 - The NetBSD Packages Collection

Abstract VT220/xterm/ECMA-48 emulation library

An abstract C99 library which implements a VT220 or xterm-like terminal
emulator. It doesn't use any particular graphics toolkit or output system,
instead it invokes callback function pointers that its embedding program
should provide it to draw on its behalf. It avoids calling malloc() during
normal running state, allowing it to be used in embedded kernel situations.

Build dependencies

devel/libtool-base pkgtools/mktools devel/gmake lang/perl5 pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64libvterm01-0.1.4nb2.tgz
NetBSD 10.0aarch64libvterm01-0.1.4nb2.tgz
NetBSD 10.0earmv6hflibvterm01-0.1.4nb2.tgz
NetBSD 10.0earmv6hflibvterm01-0.1.4nb2.tgz
NetBSD 10.0earmv7hflibvterm01-0.1.4nb2.tgz
NetBSD 10.0earmv7hflibvterm01-0.1.4nb2.tgz
NetBSD 10.0i386libvterm01-0.1.4nb2.tgz
NetBSD 10.0powerpclibvterm01-0.1.4nb2.tgz
NetBSD 10.0powerpclibvterm01-0.1.4nb2.tgz
NetBSD 10.0x86_64libvterm01-0.1.4nb2.tgz
NetBSD 10.0x86_64libvterm01-0.1.4nb2.tgz
NetBSD 8.0i386libvterm01-0.1.4nb1.tgz
NetBSD 8.0i386libvterm01-0.1.4nb2.tgz
NetBSD 8.0powerpclibvterm01-0.1.4nb2.tgz
NetBSD 8.0powerpclibvterm01-0.1.4nb2.tgz
NetBSD 8.0x86_64libvterm01-0.1.4nb1.tgz
NetBSD 8.0x86_64libvterm01-0.1.4nb2.tgz
NetBSD 9.0aarch64libvterm01-0.1.4nb2.tgz
NetBSD 9.0aarch64libvterm01-0.1.4nb1.tgz
NetBSD 9.0aarch64libvterm01-0.1.4nb2.tgz
NetBSD 9.0alphalibvterm01-0.1.4nb1.tgz
NetBSD 9.0alphalibvterm01-0.1.4nb2.tgz
NetBSD 9.0alphalibvterm01-0.1.4nb2.tgz
NetBSD 9.0earmlibvterm01-0.1.4nb1.tgz
NetBSD 9.0earmlibvterm01-0.1.4nb2.tgz
NetBSD 9.0earmlibvterm01-0.1.4nb2.tgz
NetBSD 9.0earmv6hflibvterm01-0.1.4nb1.tgz
NetBSD 9.0earmv6hflibvterm01-0.1.4nb2.tgz
NetBSD 9.0earmv6hflibvterm01-0.1.4nb2.tgz
NetBSD 9.0earmv7hflibvterm01-0.1.4nb2.tgz
NetBSD 9.0earmv7hflibvterm01-0.1.4nb2.tgz
NetBSD 9.0earmv7hflibvterm01-0.1.4nb1.tgz
NetBSD 9.0i386libvterm01-0.1.4nb1.tgz
NetBSD 9.0i386libvterm01-0.1.4nb1.tgz
NetBSD 9.0i386libvterm01-0.1.4nb2.tgz
NetBSD 9.0m68klibvterm01-0.1.4nb2.tgz
NetBSD 9.0m68klibvterm01-0.1.4nb2.tgz
NetBSD 9.0mips64eblibvterm01-0.1.4nb1.tgz
NetBSD 9.0mips64eblibvterm01-0.1.4nb2.tgz
NetBSD 9.0mips64eblibvterm01-0.1.4nb2.tgz
NetBSD 9.0powerpclibvterm01-0.1.4nb2.tgz
NetBSD 9.0powerpclibvterm01-0.1.4nb1.tgz
NetBSD 9.0powerpclibvterm01-0.1.4nb2.tgz
NetBSD 9.0sparc64libvterm01-0.1.4nb1.tgz
NetBSD 9.0sparc64libvterm01-0.1.4nb2.tgz
NetBSD 9.0sparc64libvterm01-0.1.4nb2.tgz
NetBSD 9.0sparclibvterm01-0.1.4nb1.tgz
NetBSD 9.0sparclibvterm01-0.1.4nb2.tgz
NetBSD 9.0sparclibvterm01-0.1.4nb2.tgz
NetBSD 9.0x86_64libvterm01-0.1.4nb2.tgz
NetBSD 9.0x86_64libvterm01-0.1.4nb1.tgz
NetBSD 9.0x86_64libvterm01-0.1.4nb1.tgz
NetBSD 9.0x86_64libvterm01-0.1.4nb2.tgz
NetBSD 9.0x86_64libvterm01-0.1.4nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.